Get Portfolio Composition, Holdings, And Portfolio-level Metrics
GET
https://api.getcovent.com/api/v1/individuals/ind_123/portfolioRetrieve portfolio composition, holdings, and portfolio-level metrics.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X GET "https://api.getcovent.com/api/v1/individuals/ind_123/portfolio" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json"Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonidstringRequired
id path parameter.
Example: ind_123Response
200application/jsonsummaryobjectRequired
summary response field.
Example: {"total_holdings":12,"total_units":18,"primary_strategy":"buy_and_hold"}holdingsarrayRequired
holdings response field.
Example: [{"address":"455 W Monroe St, Phoenix, AZ","acquired_at":"2024-08-14","estimated_value":410000,"property_type":"single_family"}]activity_metricsobjectRequired
activity_metrics response field.
Example: {"purchases_last_12_months":3}Response Example
{
"summary": {
"total_holdings": 12,
"total_units": 18,
"primary_strategy": "buy_and_hold"
},
"holdings": [
{
"address": "455 W Monroe St, Phoenix, AZ",
"acquired_at": "2024-08-14",
"estimated_value": 410000,
"property_type": "single_family"
}
],
"activity_metrics": {
"purchases_last_12_months": 3
}
}